
%define name    wired
%define version 0.7.0
%define release %mkrel 2


%define __libtoolize    /bin/true

Summary: Wired aims to be a professional music production and creation software
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:          Sound
URL:            http://wired.epitech.net/
Source0:        %{name}-%{version}.tar.gz
Source1:	splash.png
Patch:		%{name}-portaudio-new-jack.patch
BuildRequires:	libalsa-devel
BuildRequires:	dssi-devel >= 0.9
BuildRequires:	libflac-devel
BuildRequires:	gettext >= 0.14.4
BuildRequires:	gtk2-devel
BuildRequires:	ImageMagick
BuildRequires:	jackit-devel >= 0.101
BuildRequires:	ladspa
BuildRequires:	libsndfile-devel
BuildRequires:	libsamplerate-devel >= 0.1.2
BuildRequires:	libvorbis-devel
BuildRequires:	libxml2-devel
BuildRequires:	pkgconfig
BuildRequires:	soundtouch-devel >= 1.3.1
BuildRequires:	libwxgtk-devel >= 2.6.3
BuildRequires:	libwxgtku-devel >= 2.6.3
BuildRequires:	zlib-devel
BuildRequires:	gettext-devel
BuildRequires:	libportaudio2-devel >= 19-090504
BuildRequires:  libflac++6-devel
Requires:	libalsa2
Requires:	dssi >= 0.9
Requires:	flac
Requires:	gtk2
Requires:	ladspa
Requires:	libsamplerate0 >= 0.1.2
Requires:	libportaudio2 >= 19-090504
Requires:	soundtouch >= 1.3.1
Requires:	zlib
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	libwired0
Obsoletes:	libwired0-devel

%description
Wired aims to be a professional music production and creation software
running on the Linux operating system. It brings musicians a complete
studio environment to compose and record music without requiring expensive hardware.

Wired supports unlimited Audio/Midi tracks playback and recording, and
introduces a Plugin system for instruments and effects. It can also read AKAI
CDs and import 18 different Wave formats.

The following instruments are being developed for Wired:
* Loop sampler, with time-stretching
* Beatbox with a new editing concept, to create reallistic and complex drum
  sequences
* MIDI controlled sampler, which can read AKAI program and sample files
* High-pass, Low-pass and Notch filters
* Compressor/Limiter
* Delay

%package devel
Summary: Latest libs-devel that is used for wired.
Group: Development/C
Requires: %{name}

%description devel
Latest development libraries that is used for wired.



%prep
%setup -q
#%patch -p1

%build

./autogen.sh

%configure2_5x \
        --with-wx-config="/usr/bin/wx-config"

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

chmod 755 %{buildroot}%{_bindir}/%{name}

# Mandrake Menu entry
mkdir -p %{buildroot}%{_iconsdir}
convert src/data/ihm/splash/splash.png %{buildroot}%{_iconsdir}/%{name}.png

%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
convert src/data/ihm/splash/splash.png -resize 48x48 %{name}.png 
install -m 644 %{name}.png %{buildroot}%{_datadir}/pixmaps
	
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%name.desktop << EOF
[Desktop Entry]
Name=Wired
Comment=A professional music production and creation software
Exec=%{name}
Icon=%{_datadir}/pixmaps/%{name}.png
StartupNotify=true
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Sound;AudioVideo;Audio
EOF


install -m 0644 %SOURCE1 %{buildroot}%{_datadir}/wired/ihm/splash/splash.png



%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
/sbin/ldconfig

%postun
%{clean_menus}
/sbin/ldconfig



%files -f %{name}.lang
%defattr(-,root,root)
%doc BUGS LICENSE NEWS README TODO
%{_bindir}/wired
%config(noreplace) /etc/*
%{_datadir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/%{name}.*
%{_libdir}/*.so
%{_libdir}/%name/*.so
%{_libdir}/wired/libWiredFlac.so*
%{_libdir}/wired/libWiredMpeg.so*
%{_libdir}/wired/libWiredVorbis.so*

%files devel
%defattr(-,root,root)
%{_libdir}/*.la
%{_libdir}/%name/*.la


%changelog
* Tue Jun 02 2009 Texstar <texstar@gmail.com> 0.7-2pclos2009
- add custom splash

* Sun May 24 2009 Texstar <texstar@gmail.com> 0.7-1pclos2009
- fix rpm group
- 0.7.0

* Fri Nov 28 2008 slick50 <lxgator@gmail.com> 0.6-0.081201-1pclos2007
- 0.6.0 svn081201

* Thu Apr 26 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.5-0.070423.2
- Rebuild against flac-1.1.4

* Sun Apr 23 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.5-0.070423.1
- 0.5.0 svn070423

* Sat Apr 07 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.5-0.070407.1
- 0.5.0 svn070407

* Thu Feb 08 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.4-0.060919.2
- Fix menu

* Thu Feb 08 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.4-0.060919.1
- Rebuild for pclos2007
- 0.4.0 svn060919

* Thu Jun 22 2006 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.2.2-1
- 0.2.2

* Sat Oct 29 2005 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.2-0.051029.1
- 0.2 051029 cvs

* Wed Jun 15 2005 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.2-0.050615.1.mdk10.2.thac
- 0.2 cvs

* Wed Dec 15 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.11-1.mdk10.1.thac
- 0.11

* Mon Nov 22 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.1-1.mdk10.1.thac
- Built for Mandrake-10.1
